> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/paymentunapplyfrominvoices.md).

# paymentUnapplyFromInvoices

Remove a payment from an invoice

**Scope required:** billing:write

```graphql
mutation paymentUnapplyFromInvoices ($paymentId: ID!, $invoiceIds: [ID!]!) {
  paymentUnapplyFromInvoices (paymentId: $paymentId, invoiceIds: $invoiceIds) {
      errors
      invoices
      payment {
        accountId
        amount
        amountUnapplied
        baseCurrencyCash
        baseCurrencyId
        completedAt
        conversionRate
        createdAt
        currencyId
        description
        errorCode
        errorMessage
        fees
        fromChildAccountId
        id
        isLegacy
        memo
        paymentProcessor
        pluginId
        receivedAt
        remoteTransactionId
        startedAt
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "paymentId": "456123",
  "invoiceIds": [
    "456123"
  ]
}
```

| Name       | Type      | Description |
| ---------- | --------- | ----------- |
| paymentId  | ID        |             |
| invoiceIds | List (ID) |             |

## Response

| Name     | Type                                                        | Description |
| -------- | ----------------------------------------------------------- | ----------- |
| errors   | List (String)                                               |             |
| invoices | List ([Invoice](/developer/api-reference/types/invoice.md)) |             |
| payment  | [Payment](/developer/api-reference/types/payment.md)        |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/paymentunapplyfrominvoices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
